package m05bSolicitudReservaEJB;

import java.rmi.RemoteException;

import javax.ejb.EJBObject;

import m05bBD.m05bSolicitudReserva;

/**
 * This is the Remote Interface for the Entity EJB <tt>M05SolicitudReservaEB</tt>.
 *
 * @see     m05.exe.SolicitudReserva
 * @see     m05.exe.M05SolicitudReservaEBHome
 * @see     m05.exe.M05SolicitudReservaEBPK
 * @see     m05.exe.M05SolicitudReservaEBBean
 */

public interface m05SolicitudReserva extends EJBObject {

  public Integer getIdSolicitud()throws RemoteException;
  public void setIdSolicitud(Integer n)throws RemoteException;

  public String getFechaSolicitud()throws RemoteException;
  public void setFechaSolicitud(String n)throws RemoteException;

  public String getFechaIni()throws RemoteException;
  public void setFechaIni(String n)throws RemoteException;

  public String getFechaFin()throws RemoteException;
  public void setFechaFin(String n)throws RemoteException;

  public Integer getCodAsignacion()throws RemoteException;
  public void setCodAsignacion(Integer n)throws RemoteException;
  
  public String getBloqueo()throws RemoteException;
  public void setBloqueo(String n)throws RemoteException;


  /**
   * Returns the Taller information of this E-EJB.
   */
  public m05bSolicitudReserva getSolicitudReserva()
    throws RemoteException;

  /**
   * Sets the Parametro information of this E-EJB.
   * @exception P2GException
   *
   */
/*  public void setSolicitudReserva(SolicitudReserva SolicitudReserva)
    throws RemoteException, Exception;    */
}